[lsb-discuss] LSB conf call notes for 2008-06-18

Wichmann, Mats D mats.d.wichmann at intel.com
Wed Jun 18 10:27:56 PDT 2008


Let me clarify my point here:

> gnu_get_libc_release.  > 
> Jeff: heavy use by proprietary apps.  Mats: not surprising, given how
> easy it is to rebuild.  

For an app packaged with a distribution, it will have been built
against the version of glibc shipped with that distro, and will
not need to check for drastically newer or older versions of glibc.
Thus, you wouldn't expect to see that kind of runtime check there.
Instead, capability checking would be done in the configure script.

Thus, my claim is it's expected to see these used primarily by
applications *not* tied to a specific distribution.




More information about the lsb-discuss mailing list